## GoaTelepathyFactory GoaTelepathyFactory — Factory for GoaTelepathyProvider instances |

## Types and Values

struct | GoaTelepathyFactory
struct | GoaTelepathyFactoryClass

## Object Hierarchy

## Description

GoaTelepathyFactory dynamically creates instances of GoaTelepathyProvider based on the protocols available through Telepathy.

It accepts the protocol names from the Telepathy specification as `provider_name` in `goa_provider_factory_get_provider()`.

## Functions

## Types and Values

### struct GoaTelepathyFactory

    struct GoaTelepathyFactory {
    };

### struct GoaTelepathyFactoryClass

    struct GoaTelepathyFactoryClass {
      GoaProviderFactoryClass parent_class;
    };